/* eslint-disable */
/* prettier-ignore */
// @ts-nocheck
// Generated by unplugin-vue-components
// Read more: https://github.com/vuejs/core/pull/3399
import '@vue/runtime-core'

export {}

declare module '@vue/runtime-core' {
  export interface GlobalComponents {
    BtnList: typeof import('./src/components/btnList.vue')['default']
    CommonAside: typeof import('./src/components/CommonAside.vue')['default']
    CommonHeader: typeof import('./src/components/CommonHeader.vue')['default']
    ElAside: typeof import('element-plus/es')['ElAside']
    ElAvatar: typeof import('element-plus/es')['ElAvatar']
    ElButton: typeof import('element-plus/es')['ElButton']
    ElCard: typeof import('element-plus/es')['ElCard']
    ElCarousel: typeof import('element-plus/es')['ElCarousel']
    ElCarouselItem: typeof import('element-plus/es')['ElCarouselItem']
    ElCheckbox: typeof import('element-plus/es')['ElCheckbox']
    ElCol: typeof import('element-plus/es')['ElCol']
    ElContainer: typeof import('element-plus/es')['ElContainer']
    ElDialog: typeof import('element-plus/es')['ElDialog']
    ElForm: typeof import('element-plus/es')['ElForm']
    ElFormItem: typeof import('element-plus/es')['ElFormItem']
    ElHeader: typeof import('element-plus/es')['ElHeader']
    ElIcon: typeof import('element-plus/es')['ElIcon']
    ElImage: typeof import('element-plus/es')['ElImage']
    ElInput: typeof import('element-plus/es')['ElInput']
    ElMain: typeof import('element-plus/es')['ElMain']
    ElMenu: typeof import('element-plus/es')['ElMenu']
    ElMenuItem: typeof import('element-plus/es')['ElMenuItem']
    ElMenuItemGroup: typeof import('element-plus/es')['ElMenuItemGroup']
    ElOption: typeof import('element-plus/es')['ElOption']
    ElRadio: typeof import('element-plus/es')['ElRadio']
    ElRadioGroup: typeof import('element-plus/es')['ElRadioGroup']
    ElRow: typeof import('element-plus/es')['ElRow']
    ElSelect: typeof import('element-plus/es')['ElSelect']
    ElSubMenu: typeof import('element-plus/es')['ElSubMenu']
    ElTabPane: typeof import('element-plus/es')['ElTabPane']
    ElTabs: typeof import('element-plus/es')['ElTabs']
    ElTag: typeof import('element-plus/es')['ElTag']
    ElUpload: typeof import('element-plus/es')['ElUpload']
    HelloWorld: typeof import('./src/components/HelloWorld.vue')['default']
    LeftNav: typeof import('./src/components/user/leftNav.vue')['default']
    PostDeils: typeof import('./src/components/PostDeils.vue')['default']
    PostList: typeof import('./src/components/seach/postList.vue')['default']
    RepSelect: typeof import('./src/components/repSelect.vue')['default']
    RouterLink: typeof import('vue-router')['RouterLink']
    RouterView: typeof import('vue-router')['RouterView']
    Test: typeof import('./src/components/Test.vue')['default']
    ToolList: typeof import('./src/components/toolList.vue')['default']
    TopicCard: typeof import('./src/components/topicCard.vue')['default']
    TopicList: typeof import('./src/components/seach/topicList.vue')['default']
    UpAvater: typeof import('./src/components/user/upAvater.vue')['default']
    UpFile: typeof import('./src/components/upFile.vue')['default']
    UpVideo: typeof import('./src/components/upVideo.vue')['default']
    UserCard: typeof import('./src/components/user/userCard.vue')['default']
    UserList: typeof import('./src/components/seach/userList.vue')['default']
    UsersCard: typeof import('./src/components/usersCard.vue')['default']
  }
}
